#include <stdio.h>
#include <ctype.h>
#include <algorithm>
#include <map>
#include <vector>

int main(int argc, char *argv[]) {
	int m;
	int t = 0;
	if (argc < 2) {
		printf("usage: %s <correct file>\n", argv[0]);
		exit(0);
	}
	FILE *fp = fopen(argv[1], "r");
	while (1==fscanf(fp,"%d ",&m)) {
		int n;
		int wrong = 0;

		printf("\n-----------------------------\nTest Case %d\n", ++t);
		map<pair<int, int>,int> mm;

		for (int i = 0; i<m ;i++) {
			char buffer[128 * 1024], *s = buffer;
			fgets(buffer, 128 * 1024, fp);
			do {
				int x,y;
				sscanf(s, " %d-%d", &x, &y);
				mm[make_pair(x>?y,y<?x)] = 1;
				while (*s && !isspace(*s)) s++;
				while (*s && isspace(*s)) s++;
			} while (*s);
		}

		if (1!=scanf("%d ",&n)) {
			printf("premature end of output\n");
			return 0;
		}

		if (m != n) {
			printf("Incorrect output. %d != %d\n", m,n);
			wrong++;
		}
		for (int i = 0; i<n;i++) {
			char buffer[128 * 1024], *s = buffer;
			fgets(buffer, 128 * 1024, stdin);
			int px = 0, py = 0;
			do {
				int x,y;
				sscanf(s, " %d-%d", &x, &y);
				if ((x>?y) < px || (x<?y) < py) {
					printf("Incorrect output. %d-%d not bigger or equal to %d-%d.\n", x>?y, y<?x, px, py);
					wrong++;
				}
				px = x>?y;
				py = x<?y;
				if ( mm.find(make_pair(x>?y,y<?x)) == mm.end() ) {
					printf("Incorrect output. %d-%d not in input.\n", x>?y, y<?x);
					wrong++;
				} else {
					mm[make_pair(x>?y,y<?x)] = 2;
				}
				while (*s && !isspace(*s)) s++;
				while (*s && isspace(*s)) s++;
			} while (*s);
		}
		map<pair<int,int>,int>::iterator it;
		for (it = mm.begin();it != mm.end(); it++) {
			if (it->second != 2) {
				printf("Incorrect output. %d-%d not in output.\n", it->first.first, it->first.second);
				wrong++;
			}
		}
		if (wrong) {
			printf("### WRONG ANSWER: %d incorrects\n", wrong);
		} else {
			printf("### CORRECT ANSWER\n");
		}
	}
}
			

